%global momorel 1

Summary: visual diff and merge tool
Name: meld
Version: 3.16.4
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://meldmerge.org/
Group: Development/Tools
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.16/%{name}-%{version}.tar.xz
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	python2-devel
BuildRequires:	perl(XML::Parser)

Requires:	glib2 >= 2.34.0
Requires:	gtk3 >= 3.6.0

Requires:	pygobject3 
Requires:	gtksourceview3 >= 3.6.0
Requires:	dbus-python
Requires:	dbus-x11
Requires:	patch

Provides:	mergetool


%description
Meld is a visual diff and merge tool targeted at developers. It helps you
compare files, directories, and version controlled projects. It provides two-
and three-way comparison of both files and directories, and the tabbed interface
allows you to open many diffs at once.
Meld has has support for many popular version control systems including Git,
Mercurial, Bazaar, SVN and CVS. The diff viewer lets you edit files in place
(diffs update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy navigation.


%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py --no-update-icon-cache --no-compile-schemas install --root %{buildroot}

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --delete-original \
  --add-category="GTK" \
  --remove-category="Application" \
  %{buildroot}%{_datadir}/applications/%{name}.desktop \

%find_lang %{name} --with-gnome

# remove conflicting files
#rm -f %{buildroot}/%{_datadir}/glib-2.0/schemas/gschemas.complied
#rm -f %{buildroot}/%{_datadir}/glib-2.0/schemas/gschemas.compiled
#rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf --preserve-root %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :
touch --no-create %{_datadir}/mime/packages &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    touch --no-create %{_datadir}/icons/HighContrast &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    update-mime-database %{_datadir}/mime &> /dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/appdata/*%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/icons/HighContrast/*/apps/%{name}.*
%{python2_sitelib}/*
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/help/*/meld/*
%{_mandir}/man1/meld.1.*


%changelog
* Thu Feb 23 2017 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.16.4-1m)
- update to 3.16.4

* Tue Aug 25 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0

* Tue Dec 30 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.12.3-1m)
- update to 3.12.3

* Mon Nov  3 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.12.1-1m)
- update to 3.12.1 

* Sat Jun  7 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.11.1-1m)
- update to 3.11.1 (Development version)

* Sun Nov 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.6.1-1m)
- update to 1.6.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.2-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.2-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.2-2m)
- full rebuild for mo7 release

* Fri Jun 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.2-1m)
- update to 1.3.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Aug 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1
- add patch1 (why not update ja.po?)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-2m)
- rebuild against rpm-4.6

* Mon Nov 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Fri Jun 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2-1m)
- update to 1.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.5.1-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.5.1-2m)
- %%NoSource -> NoSource

* Thu Jun 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5.1-1m)
- update to 1.1.5.1

* Sun Jun 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5-2m)
- delete paths.py[co] (bad path)

* Sun Jun 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5-1m)
- update to 1.1.5

* Sat Oct 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.4-2m)
- fix lib64 problem

* Thu Oct 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.4-1m)
- initial build


